Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011490 [DCSS] Bug Report minor always 2018-06-03 10:24 2018-07-30 23:25
Reporter NormalPerson7 View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.22 stable branch
Summary 0011490: The estimate of XLs required to mindelay/no shield penalty does not account for progress toward the next XL
Description In the item description for shields and weapons, an estimate was added recently for how long it will take, in XLs, for the player to reach the minimum attack delay / no shield penalty breakpoint. However this calculation of XLs is only accurate to the time the player last levelled up. For example:

Suppose the player was at XL 14 and 0%, and min-delay will be reached at XL 17 and 60%. The description will say 3.6 XLs are required, as one would expect.
If the player then gains 50% of an XL, the description still states it will take 3.6 XLs instead of the 3.1 XLs one would expect.
If the player then levels up to XL 15, the description now jumps to saying 2.6 XLs.

This is confusing and misleading, and should be changed to include fractional XLs -- especially when the output is a decimal.
Additional Information
Tags 0.23 target
Attached Files

- Relationships

-  Notes
(0032296)
alexandrashields (reporter)
2018-06-10 23:08

https://github.com/crawl/crawl/pull/786 [^]
(0032460)
wheals (administrator)
2018-07-30 22:58

Merged by advil.

- Issue History
Date Modified Username Field Change
2018-06-03 10:24 NormalPerson7 New Issue
2018-06-10 23:08 alexandrashields Note Added: 0032296
2018-07-30 04:54 advil Tag Attached: 0.23 target
2018-07-30 22:58 wheals Note Added: 0032460
2018-07-30 22:58 wheals Status new => resolved
2018-07-30 22:58 wheals Resolution open => done
2018-07-30 22:58 wheals Assigned To => wheals
2018-07-30 23:24 NormalPerson7 Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker